Skip to main content
`Ctrl`+`K`

# Writers

See also

Configuration options

  Configurable options for the nbconvert application

class nbconvert.writers.WriterBase(**kwargs: Any)

  Consumes output from nbconvert export…() methods and writes to a useful location.

  __init__(config=None, **kw)

    Constructor

  write(output, resources, **kw)

    Consume and write Jinja output.

    Parameters:

      - output (string) – Conversion results. This string contains the file contents of the converted file.

      - resources (dict) – Resources created and filled by the nbconvert conversion process. Includes output from preprocessors, such as the extract figure preprocessor.

## Specialized writers

class nbconvert.writers.DebugWriter(**kwargs: Any)

  Consumes output from nbconvert export…() methods and writes useful debugging information to the stdout. The information includes a list of resources that were extracted from the notebook(s) during export.

class nbconvert.writers.FilesWriter(**kwargs: Any)

  Consumes nbconvert output and produces files.

class nbconvert.writers.StdoutWriter(**kwargs: Any)

  Consumes output from nbconvert export…() methods and writes to the stdout stream.